//采购化工材料运输派单
<template>
  <div class="homeworkPath">
    <div class="top">
      <el-input
        placeholder="请输入内容"
        class="input"
        v-model="input"
        clearable
      >
      </el-input>
      <span class="text">下发时间：</span>
      <el-date-picker
        v-model="startTime"
        type="datetime"
        placeholder="选择日期"
      >
      </el-date-picker>
      <span class="text">至</span>
      <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <el-tabs v-model="activeName">
      <!-- 未下发 -->
      <el-tab-pane label="已接收" name="first">
        <dilTable v-bind.sync="option1" ref="table"> </dilTable>
      </el-tab-pane>
      <!-- 已下发 -->
      <el-tab-pane label="已拒绝" name="second">
        <dilTable v-bind.sync="option2"> </dilTable>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import { getCookie } from "@/utils/util.js";
import { sjTime } from "@/utils/sharedJsFile";
export default {
  name: "inplantTMS",
  data() {
    return {
      input: "",
      Time: "",
      startTime: null,
      endTime: null,
      activeName: "first",
      option1: {
        // 表格请求数据的地址
        requestUrl: "",
      },
      option2: {
        // 表格请求数据的地址
        requestUrl: "",
      },
    };
  },
  created() {
    //判断是否是承运商
    if (getCookie("orgCode") == "chengyunshang") {
      this.option1.requestUrl =
        "/api/v1/oms/getTransportDispatch?apiId=148&fuelOrder=2&orderStatus=111&carrierSSOId=" +
        getCookie("userId");
      this.option2.requestUrl =
        "/api/v1/oms/getTransportDispatch?apiId=241&fuelOrder=2&orderStatus=6&carrierSSOId=" +
        getCookie("userId");
    } else {
      this.option1.requestUrl =
        "/api/v1/oms/getTransportDispatch?apiId=148&fuelOrder=2&orderStatus=111&carrierSSOId=" +
        null;
      this.option2.requestUrl =
        "/api/v1/oms/getTransportDispatch?apiId=241&fuelOrder=2&orderStatus=6&carrierSSOId=" +
        null;
    }
  },
  methods: {
    onclick() {
      let startTime = null;
      let endTime = null;
      if (this.startTime) {
        startTime = sjTime(this.startTime);
      }
      if (this.endTime) {
        endTime = sjTime(this.endTime);
      }
      if (startTime && endTime) {
        if (startTime < endTime) {
          if (this.activeName == "first") {
            this.option1.requestUrl =
              "/api/v1/oms/getTransportDispatch?apiId=241&fuelOrder=2&orderStatus=111&con=" +
              this.input +
              "&startTime=" +
              startTime +
              "&endTime=" +
              endTime +
              "&i=" +
              new Date();
          } else {
            this.option2.requestUrl =
              "/api/v1/oms/getTransportDispatch?apiId=241&fuelOrder=2&orderStatus=6&con=" +
              this.input +
              "&startTime=" +
              startTime +
              "&endTime=" +
              endTime +
              "&i=" +
              new Date();
          }
        }
      } else {
        if (this.activeName == "first") {
          this.option1.requestUrl =
            "/api/v1/oms/getTransportDispatch?apiId=241&fuelOrder=2&orderStatus=111&con=" +
            this.input +
            "&i=" +
            new Date();
        } else {
          this.option2.requestUrl =
            "/api/v1/oms/getTransportDispatch?apiId=241&fuelOrder=2&orderStatus=6&con=" +
            this.input +
            "&i=" +
            new Date();
        }
      }
    },
  },
};
</script>
<style lang='scss'>
.homeworkPath {
  .top {
    padding: 40px;
    .input {
      width: 250px;
      margin-right: 10px;
    }
  }
}
</style>